package io.zipcoder;

import org.junit.Assert;
import org.junit.Test;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.IOException;

public class ParenCheckerTest {

    public boolean open = false;
    public boolean close = false;


    @Test
    public void parenTrapChecker() throws FileNotFoundException {
        ParenChecker check = new ParenChecker();

        //Given
        String str = "Open with a ( and close with a )!";

        //When
        boolean expectedOutput = true;
        boolean actualOutput = check.parenTrapChecker(str);


        //Then
        Assert.assertEquals(expectedOutput, actualOutput);
    }

    @Test
    public void parenTrapCheckerFalse() throws FileNotFoundException {
        ParenChecker check = new ParenChecker();

        //Given
        String str2 = "Open with a ( ((and close with) a )!";

        //When
        boolean expectedOutput = false;
        boolean actualOutput = check.parenTrapChecker(str2);


        //Then
        Assert.assertEquals(expectedOutput, actualOutput);
    }

    @Test
    public void CharCheckerTrue() throws FileNotFoundException {
        ParenChecker check2 = new ParenChecker();

        //Given
        String str3 = "Open with a ([ and close with] a )!";

        //When
        boolean expectedOutput = true;
        boolean actualOutput =
                check2.parenTrapChecker2(str3);


        //Then
        Assert.assertEquals(expectedOutput, actualOutput);
    }

    @Test
    public void CharCheckerFalse() throws FileNotFoundException {
        ParenChecker check3 = new ParenChecker();

        //Given
        String str2 = "Open with a ([{ and close with>}]" +
                " " +
                "a )!";

        //When
        boolean expectedOutput = false;
        boolean actualOutput =
                check3.parenTrapChecker2(str2);


        //Then
        Assert.assertEquals(expectedOutput, actualOutput);
    }

    @Test
    public void readFileToString() throws IOException {
        ParenChecker check4 = new ParenChecker();


        String actual = check4.WC();

    }

//    @Test
//    public void readFileToString() throws IOException {
//        ParenChecker check4 = new ParenChecker();
//
//
//
//    }

}